abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
    dnes 13:11 | Zajímavý článek

    Nikita Mazurov pro The Intercept popisuje, jak si zařídil anonymní účet v komunikátoru Signal, tedy aniž by použil své telefonní číslo. Využil telefonní budku. Poslední telefonní budka v Česku byla odstraněna v roce 2021.

    Fluttershy, yay! | Komentářů: 25
    dnes 01:55 | Nová verze

    Svobodná webová platforma pro sdílení a přehrávání videí PeerTube (Wikipedie) byla vydána v nové verzi 6.2. Přehled novinek i s náhledy v oficiálním oznámení a na GitHubu.

    Ladislav Hagara | Komentářů: 0
    dnes 01:33 | Nová verze

    Byla vydána nová stabilní verze 3.6 svobodného multiplatformního softwaru pro editování a nahrávání zvukových souborů Audacity (Wikipedie). Přehled novinek také na YouTube. Ke stažení je oficiální AppImage. Zatím starší verze Audacity lze instalovat také z Flathubu a Snapcraftu.

    Ladislav Hagara | Komentářů: 0
    dnes 01:11 | Nová verze

    Po necelých 4 měsících vývoje od vydání verze 6.5 byla vydána nová verze 6.6 svobodného open source redakčního systému WordPress. Kódové jméno Dorsey bylo vybráno na počest amerického jazzového trombonisty, trumpetisty, skladatele a dirigenta big band éry Tommyho Dorseyho (YouTube).

    Ladislav Hagara | Komentářů: 0
    dnes 00:22 | Nová verze

    3D software Blender byl vydán ve verzi 4.2 s prodlouženou podporou. Podrobnosti v poznámkách k vydání.

    Fluttershy, yay! | Komentářů: 0
    včera 16:44 | Nová verze

    Byla vydána nová verze 6.5 živé linuxové distribuce Tails (The Amnesic Incognito Live System), jež klade důraz na ochranu soukromí uživatelů a anonymitu. Přehled změn v příslušném seznamu. Tor Browser byl povýšen na verzi 13.5.1.

    Ladislav Hagara | Komentářů: 0
    včera 12:33 | Nová verze

    Správce sbírky fotografií digiKam byl vydán ve verzi 8.4.0. Jedná se o převážně opravné vydání provázené aktualizacemi knihoven. V minulé verzi přidané automatické štítkování podle obsahu obrázků (projekt z GSoC 2023) bylo doplněno o možnost strojového překladu štítků z angličtiny.

    Fluttershy, yay! | Komentářů: 0
    15.7. 23:00 | Zajímavý projekt

    Byl představen SCALE, tj. GPGPU toolchain umožňující spouštění CUDA programů na GPU od AMD. Za projektem stojí společnost Spectral Compute.

    Ladislav Hagara | Komentářů: 3
    15.7. 03:22 | IT novinky

    Retro PC emulátor UTM SE pro iPhone, iPad a Apple Vision Pro je nově zdarma k dispozici v App Storu (𝕏). UTM SE je postavený nad QEMU.

    Ladislav Hagara | Komentářů: 3
    15.7. 01:22 | Nová verze

    Po 9 týdnech vývoje od vydání Linuxu 6.9 oznámil Linus Torvalds vydání Linuxu 6.10. Přehled novinek a vylepšení na LWN.net: první a druhá polovina začleňovacího okna. Později také na Linux Kernel Newbies.

    Ladislav Hagara | Komentářů: 0
    Rozcestník

    Dotaz: Postfix zrezava jednemu uzivatelovi maily

    20.8.2009 13:01 eth4rendil | skóre: 13
    Postfix zrezava jednemu uzivatelovi maily
    Přečteno: 288×

    Dobrý deň,

    mám taký divný problem. Jednemu uživatelovi chodia niekedy nekompletne maily. Proste v polovici alebo na zaciatku ten mail odsekne a nepokracuje dalej. Tento mail je orezany tiez na serveri. V logoch nie je nic podozrive:

     

    Aug 20 11:40:24 rt1-router postfix/smtpd[29038]: connect from mailxxxxxx
    Aug 20 11:40:24 rt1-router postfix/smtpd[29038]: A8C2617FF5: client=mailxxxxxxxxx
    Aug 20 11:40:24 rt1-router postfix/cleanup[29041]: A8C2617FF5: message-id=<4A8D1C15.4080606@roedl.sk>
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: A8C2617FF5: from=<xxxx>, size=53086, nrcpt=1 (queue active)
    Aug 20 11:40:25 rt1-router postfix/pipe[29042]: A8C2617FF5: to=<yyyy>, relay=dfilt, delay=0.51, delays=0.47/0/0/0.03, dsn=2.0.0, status=sent (delivered via dfilt service)
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: A8C2617FF5: removed
    Aug 20 11:40:25 rt1-router postfix/pickup[27163]: 2904817FF5: uid=108 from=<XXXXXX>
    Aug 20 11:40:25 rt1-router postfix/cleanup[29287]: 2904817FF5: message-id=<4A8D1C15.4080606@roedl.sk>
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 2904817FF5: from=<XXXX>, size=3326, nrcpt=1 (queue active)
    Aug 20 11:40:25 rt1-router clamsmtpd: 1073DD: accepted connection from: 127.0.0.1
    Aug 20 11:40:25 rt1-router postfix/smtpd[29055]: connect from localhost[127.0.0.1]
    Aug 20 11:40:25 rt1-router postfix/smtpd[29038]: disconnect from mailXxxxxxxx]
    Aug 20 11:40:25 rt1-router postfix/smtpd[29055]: 3406E17FF9: client=localhost[127.0.0.1]
    Aug 20 11:40:25 rt1-router postfix/cleanup[29041]: 3406E17FF9: message-id=<4A8D1C15.4080606@roedl.sk>
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 3406E17FF9: from=<xxxxxxx>, size=3593, nrcpt=1 (queue active)
    Aug 20 11:40:25 rt1-router clamsmtpd: 1073DD: from=xxxxxxxxxxxx, to=xxxxxxxxxxxxx, status=CLEAN
    Aug 20 11:40:25 rt1-router postfix/smtp[29053]: 2904817FF5: to=<xxxxxx>, relay=127.0.0.1[127.0.0.1]:10025, delay=0.11, delays=0.02/0/004/0.05, dsn=2.0.0, status=sent (250 2.0.0 Ok: queued as 3406E17FF9)
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 2904817FF5: removed
    Aug 20 11:40:25 rt1-router postfix/local[29564]: 3406E17FF9: to=<xxxxx>, orig_to=<xxxxxx>, relay=local, delay=0.05/0/0/0, dsn=2.0.0, status=sent (delivered to maildir)
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 3406E17FF9: removed
    Aug 20 11:40:25 rt1-router postfix/smtpd[29055]: disconnect from localhost[127.0.0.1]
    Aug 20 11:40:29 rt1-router pop3d: Connection, ip=[::ffff:10.224.34.67]
     

    Vôbec nemam tušenie čo to može byť, žeby clamav? Alebo disclaimer - ten mi pridáva vždy na koniec mailu text... ale kode (nižšie) nie je nič take čo by to mohlo robiť :F a prečo prave tomuto jednemu, vôbec tomu nechapem.....

     

    Viete niekto poradiť? Ďakujem pekne

    disclaimer:

    /etc/postfix/disclaimer

    #!/bin/sh
    # Localize these.
    INSPECT_DIR=/var/spool/filter
    SENDMAIL=/usr/sbin/sendmail

    ####### Changed From Original Script #######
    DISCLAIMER_ADDRESSES=/etc/postfix/disclaimer_emails
    ####### Changed From Original Script END #######

    # Exit codes from <sysexits.h>
    EX_TEMPFAIL=75
    EX_UNAVAILABLE=69

    # Clean up when done or when aborting.
    trap "rm -f in.$$" 0 1 2 3 15

    # Start processing.
    cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
    $EX_TEMPFAIL; }

    cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

    ####### Changed From Original Script #######
    # obtain From address
    from_address=`grep -m 1 "From:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`

    if [ `grep -wi ^${from_address}$ ${DISCLAIMER_ADDRESSES}` ]; then
    /usr/bin/altermime --input=in.$$ \
    --disclaimer=/etc/postfix/disclaimer.txt \
    --disclaimer-html=/etc/postfix/disclaimer.txt || \
    #--xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
    { echo Message content rejected; exit $EX_UNAVAILABLE; }
    fi
    ####### Changed From Original Script END #######

    $SENDMAIL "$@" <in.$$

    exit $?

     

    Odpovědi

    20.8.2009 21:52 pupu | skóre: 31
    Rozbalit Rozbalit vše Re: Postfix zrezava jednemu uzivatelovi maily

    Pokud je to reprodukovatelne, neni nic jednodussiho nez zapnout vetsi 'ukecanost' jednotlivych komponent a pote je zkouset vypinat. Postfix takovehle veci nedela, ja bych si tipnul ten disclaimer. Zkus vzit vzorovy mail, ktery ti neprosel cely, a prohnat ho tim disclaimerovym skriptem.

    27.8.2009 17:37 eth4rendil | skóre: 13
    Rozbalit Rozbalit vše Re: Postfix zrezava jednemu uzivatelovi maily

     skúsil som ten disclaimer vypnúť, ale začalo to robiť znovu... nechápem tomu. Môže také niečo robiť clamsmtp?

    21.9.2009 17:26 Leos
    Rozbalit Rozbalit vše Re: Postfix zrezava jednemu uzivatelovi maily

    Není problém v délce řádku u textu dislclaimeru (či celého mailu)? Postfix má limit pro maximální počet znaků na řádce. (/etc/postfix/main.cf, direktiva line_length_limit = 102400 <-- například).

    Měl jsem navíc podobný problém s maily, ve kterých se citovaly původní zprávy. Některý mail klient nemusí správně ukončovat řádky a nasypat "všecko za sebe".

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.